
QGIS Application - Bug report #15318

Sorting number fields is wrong

2016-07-20 02:55 PM - Claas Leiner

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23250

Description

In the attribute table columns can not sort properly in the number format. Sorting is as if they were strings. Not the value, but the string

determines the order. 61217 ist sortet higher then 6118983.

Associated revisions

Revision ea0f4da5 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

Revision 7397f435 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

Revision a5a24b43 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

History

#1 - 2016-08-01 07:31 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"ea0f4da58c87bc590f8b23049da0963ee9d9cd23".
